Bug 727307 - Request to recompile libraries with -Wl,-z,relro flags
Request to recompile libraries with -Wl,-z,relro flags
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: attr (Show other bugs)
6.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Kamil Dudka
qe-baseos-daemons
: EasyFix, Patch
Depends On:
Blocks: 727296 RHEL62CCC 846801 846802
  Show dependency treegraph
 
Reported: 2011-08-01 15:08 EDT by Irina Boverman
Modified: 2012-08-08 14:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior to this update, the attr library was built without support for read-only relocations (RELRO) flags. With this update, the library is now built with partial RELRO support.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-07 09:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Kamil Dudka 2011-08-01 15:34:21 EDT
This would be the fix:

Index: attr.spec
===================================================================
RCS file: /cvs/dist/rpms/attr/RHEL-6/attr.spec,v
retrieving revision 1.37
diff -u -p -r1.37 attr.spec
--- attr.spec 27 Jun 2011 16:11:30 -0000  1.37
+++ attr.spec 1 Aug 2011 19:31:25 -0000
@@ -95,7 +95,7 @@ autoconf

 %build
 # attr abuses libexecdir
-%configure --libdir=/%{_lib} --libexecdir=%{_libdir}
+%configure --libdir=/%{_lib} --libexecdir=%{_libdir} LDFLAGS="$LDFLAGS -Wl,-z,relro"
 make LIBTOOL="libtool --tag=CC"

 %check
Comment 11 Petr Kovar 2011-09-06 10:41:59 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the attr library was built without support for read-only relocations (RELRO) flags. With this update, the library is now built with partial RELRO support.
Comment 12 errata-xmlrpc 2011-09-07 09:07:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1272.html

Note You need to log in before you can comment on or make changes to this bug.